%define momorel 2
Summary:	Free Arabic TrueType fonts
Name:		truetype-fonts-arabic
Version:	1.5
Release:	%{momorel}m
License:	GPL
Group:		User Interface/X

Source0:	KacstArabicFonts-%{version}.tar.gz
# from http://www.arbornet.org/~tabish/u-font/
Source1:	nastaliq_unicode.ttf.bz2
Source2:	arabic.fonts.scale

URL:		http://www.linux.org.sa/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:    xorg-x11-font-utils
# And be sure there is TTF support
BuildPrereq:    xorg-x11-fonts-base
PreReq:		chkfontpath-momonga, sh-utils

%description
This Package provides Free Arabic TrueType fonts.

%prep

%setup -q -n KacstArabicFonts-%{version}


%build
bzcat %{SOURCE1} > nastaliq_unicode.ttf

%install
rm -fr %{buildroot}
%define instancedir /usr/share/fonts/truetype/arabic
%define xfontdir /usr/share/X11/fonts/truetype-arabic

mkdir -p %{buildroot}/%{instancedir}
mkdir -p %{buildroot}/%{xfontdir}
install -m 644 *.ttf %{buildroot}/%{instancedir}
for i in *.ttf
do
  ln -sf ../../../../..%{_datadir}/fonts/truetype/arabic/$i %{buildroot}%{xfontdir}/$i
done

install -m644 %{SOURCE2} %{buildroot}/%{xfontdir}/fonts.scale

/usr/bin/mkfontdir -e /usr/share/X11/fonts/encodings \
                         -e /usr/share/X11/fonts/encodings/large \
			                          %{buildroot}%{xfontdir}
%post
if [ -x %{_sbindir}/chkfontpath ]; then
   %{_sbindir}/chkfontpath -q -a %{xfontdir}
   if ! (grep /usr/share/X11/fonts/truetype-arabic /etc/X11/XftConfig >& /dev/null) ; then
     echo dir \"/usr/share/X11/fonts/truetype-arabic\" >> /etc/X11/XftConfig
   fi
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   if [ -x %{_sbindir}/chkfontpath ]; then
     %{_sbindir}/chkfontpath -q -r %{xfontdir}
     grep -v /usr/share/X11/fonts/truetype-arabic /etc/X11/XftConfig >/etc/X11/XftConfig.new
     mv /etc/X11/XftConfig.new /etc/X11/XftConfig
   fi
fi

%clean
rm -fr %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc *txt
%dir %{instancedir}
%dir %{xfontdir}
%{instancedir}/*.ttf
%{xfontdir}/*.ttf
%config(noreplace) %{xfontdir}/fonts.dir
%config(noreplace) %{xfontdir}/fonts.scale
%config(noreplace) %{xfontdir}/encodings.dir


%changelog
* Wed Apr  5 2006 zunda <zunda at freeshell.org>
- (kossori)
- added xorg-x11-fonts-base to buildprereq. -e option of mkfontdir 
  requires the directory to exsist.

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5-2m)
- revise for xorg-7.0
- change install dir

* Tue Mar  1 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.5-1m)
- sync with FC 3

* Sun Jun 13 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1-2m)
- add source

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.1-1m)
- import from Mandrake Linux

* Wed Aug 06 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-3mdk
- added Urdu Nastaliq GPL font (covering Urdu and Farsi)

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-2mdk
- rebuild
- prereq on chkfontpath

* Wed Feb 19 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-1mdk
- first release
